 function fnSaveState() {
            var himsValidator = [new hims_ctl_val("ctl00_CP_ExamSubGroupTextbox", 'Name', "T", "", "", "", 20),
                                 new hims_ctl_val("ctl00_CP_ExamGroupDropDownList","Exam Group", "T", "", "", "", 20)];
            if (fnDoValidate(himsValidator))
                return true;
            else
                return false;
        }
        function fnCloseForm() {
            window.close();
            return false;
        }



        function RefreshPage() {
            document.location.reload();
        }
        /*function cpageLoad() {
            var browser=navigator.userAgent.toLowerCase();
            if(browser.indexOf('firefox')>=0){		
                $("#ctl00_CP_FileUpload1").fileUpload({
                    'uploader' : '../../../UserControls/MultiFileUpload/uploader.swf',
                    'cancelImg': '../../../Images/cancel.png',
                    'script': '../../../UserControls/MultiFileUpload/Upload.ashx?ASPSESSID=' + $('#ctl00_CP_hdnSessionid').val(),
                    'fileExt': '*.jpg;*.jpeg;*.gif;*.png',
                    'multi': false,
                    'auto': true
                });
            }
            else {
                $("#ctl00_CP_FileUpload1").fileUpload({
                    'uploader': '../../../UserControls/MultiFileUpload/uploader.swf',
                    'cancelImg': '../../../Images/cancel.png',
                    'script': '../../../UserControls/MultiFileUpload/Upload.ashx',
                    'fileExt': '*.jpg;*.jpeg;*.gif;*.png',
                    'multi': false,
                    'auto': true
                });
            }
        }*/



        var reader = new FileReader();
        reader.onload = function (e) {
        }
        function readURL(input) {
            if (input.files && input.files[0]) {
                reader.readAsDataURL(input.files[0]);
                ajaxFileUpload();
            }
        }
        function OpenFileUpload() {
            $('#flUpload').click();
        }
        function LoadingMessage(msg1, msg2) {
            $('#dvTestLoadingmsg').show();
            $('#spn1msg').html(msg1);
            $('#spn2msg').html(msg2);
            $('.hls-bg').show();
        }
        function CloseLoadingpopup() {
            $('#dvTestLoadingmsg').hide();
            $('.hls-bg').hide();
        }
        function ajaxFileUpload() {
           // alert("hi");
            if (ValidateImageDetails()) {
                LoadingMessage('Uploading', '<b>Please Wait</b>');
                $("#loading").ajaxStart(function () {
                    $(this).show();
                }).ajaxComplete(function () {
                    $(this).hide();
                });
               // alert("hi");
                $.ajaxFileUpload({
                    url: '/UserControls/MultiFileUpload/common-file-upload.ashx',
                    secureuri: false,
                    fileElementId: 'flUpload',
                    dataType: 'text',
                    contentType: "application/json; charset=utf-8",
                    data: { name: 'logan', id: 'id', hdn: '1' },
                    success: function (response, status) {
                        if (response == "-007") {
                            alert('Cannot upload file as the used space exceeds allocated space')
                            return
                        }
                        if (response == "-008") {
                            alert('Invalid Extention')
                            return
                        }
                        if (response == "-009") {
                            alert('Cannot include / or .. in a filename')
                            return;
                        }
                        /*var str = response;
                        str = str.replace('<pre style="word-wrap: break-word; white-space: pre-wrap;">','');
                        str = str.replace('</pre>','');				
                        $('#hdnFileName').val(str);*/
                        window.setTimeout(function () {
                            CloseLoadingpopup();
                            $("#ctl00_CP_Label2").text("Uploaded Successfully");
                        }, 100);
                    },
                    error: function (response, status, e) {
                        window.setTimeout(function () {
                            CloseLoadingpopup();

                        }, 100);
                    }
                })
                return false;
            }
        }
        function isFile(file) {
            var video = /\.(xls|)$/i;
            var CSV = /\.(csv|)$/i;
            var xlsx = /\.(xlsx|)$/i;
            if (video.test(file.toLowerCase()))
                return true;
            else
                return false;
        }
        function ValidateImageDetails() {
            var fields;
            fields = "";
            var file = document.getElementById('flUpload').value;
            //if (isFile(document.getElementById('flUpload').value) == false || document.getElementById('flUpload').value == null) {
            //    fields = fields + "\n-- Invalid file --";
            //}
            if (fields != "") {
                fields = "Please fill in the following details:\n------------------------------------" + fields;
                alert(fields);
                return false;
            }
            else {
                return true;
            }
        }